Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.context.annotation
Class AnnotationConfigUtils

    java.lang.Object
      org.springframework.context.annotation.AnnotationConfigUtils

    public class AnnotationConfigUtils

extends Object

Utility class that allows for convenient registration of common `BeanPostProcessor` definitions for annotation-based configuration.

Since:
  2.5
Author:
  Mark Fisher, Juergen Hoeller
See Also:
  `CommonAnnotationBeanPostProcessor`, `PersistenceAnnotationBeanPostProcessor`, `AutowiredAnnotationBeanPostProcessor`, `RequiredAnnotationBeanPostProcessor`

Field Summary
`static String` | `AUTOWIRED_ANNOTATION_PROCESSOR_BEAN_NAME` The bean name of the internally managed Autowired annotation processor.
`static String` | `COMMON_ANNOTATION_PROCESSOR_BEAN_NAME` The bean name of the internally managed JSR-250 annotation processor.
`static String` | `PERSISTENCE_ANNOTATION_PROCESSOR_BEAN_NAME` The bean name of the internally managed JPA annotation processor.
`static String` | `REQUIRED_ANNOTATION_PROCESSOR_BEAN_NAME` The bean name of the internally managed Required annotation processor.

Constructor Summary
`AnnotationConfigUtils()`

Method Summary
`static void` | `registerAnnotationConfigProcessors(BeanDefinitionRegistry registry)` Register all relevant annotation post processors in the given registry.
`static Set<BeanDefinitionHolder>` | `registerAnnotationConfigProcessors(BeanDefinitionRegistry registry, Object source)` Register all relevant annotation post processors in the given registry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PERSISTENCE_ANNOTATION_PROCESSOR_BEAN_NAME

    public static final String PERSISTENCE_ANNOTATION_PROCESSOR_BEAN_NAME

  The bean name of the internally managed JPA annotation processor.

  See Also:
    Constant Field Values

### COMMON_ANNOTATION_PROCESSOR_BEAN_NAME

    public static final String COMMON_ANNOTATION_PROCESSOR_BEAN_NAME

  The bean name of the internally managed JSR-250 annotation processor.

  See Also:
    Constant Field Values

### AUTOWIRED_ANNOTATION_PROCESSOR_BEAN_NAME

    public static final String AUTOWIRED_ANNOTATION_PROCESSOR_BEAN_NAME

  The bean name of the internally managed Autowired annotation processor.

  See Also:
    Constant Field Values

### REQUIRED_ANNOTATION_PROCESSOR_BEAN_NAME

    public static final String REQUIRED_ANNOTATION_PROCESSOR_BEAN_NAME

  The bean name of the internally managed Required annotation processor.

  See Also:
    Constant Field Values

Constructor Detail

### AnnotationConfigUtils

    public AnnotationConfigUtils()

Method Detail

### registerAnnotationConfigProcessors

    public static void registerAnnotationConfigProcessors(BeanDefinitionRegistry registry)

  Register all relevant annotation post processors in the given registry.

  Parameters:
    `registry` - the registry to operate on

### registerAnnotationConfigProcessors

    public static Set<BeanDefinitionHolder> registerAnnotationConfigProcessors(BeanDefinitionRegistry registry,
                                                                               Object source)

  Register all relevant annotation post processors in the given registry.

  Parameters:
    `registry` - the registry to operate on
    `source` - the configuration source element (already extracted) that this registration was triggered from. May be `null`.
  Returns:
    a Set of BeanDefinitionHolders, containing all bean definitions that have actually been registered by this call

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.